> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Consensus Ratings

> Returns aggregated consensus analyst ratings data for a given ticker symbol. This endpoint provides consensus price targets, aggregate ratings distribution, and analyst counts based on recent analyst ratings.

<ResponseExample>
  ```json Response (200 OK) theme={null}
  {
    "aggregate_ratings": {
      "strong_buy": 7,
      "buy": 12,
      "hold": 5,
      "sell": 2
    },
    "aggregate_type": "number",
    "low_price_target": 200,
    "high_price_target": 350,
    "consensus_price_target": 293.69192307692305,
    "consensus_rating_val": 3.923076923076923,
    "consensus_rating": "BUY",
    "updated_at": "2026-01-05T19:42:36Z",
    "total_analyst_count": 50,
    "unique_analyst_count": 26
  }
  ```

  ```json Response (401 Unauthorized) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "auth_failed",
        "id": "unauthorized",
        "value": "Invalid or missing authentication token"
      }
    ]
  }
  ```

  ```json Response (404 Not Found) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "no_data_found",
        "id": "not_found",
        "value": "No data found for the specified parameters"
      }
    ]
  }
  ```

  ```json Response (500 Internal Server Error) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "internal_server_error",
        "id": "server_error",
        "value": "An unexpected error occurred while processing your request"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml /openapi/calendar_api.spec.yml GET /api/v1/consensus-ratings
openapi: 3.0.0
info:
  contact: {}
  description: >-
    This REST API returns structured data for conference calls, dividends,
    earnings (and future earnings dates), economics, pharmaceutical
    announcements, guidance, IPOs, secondary offerings, ratings, M&A activity,
    and splits.
  termsOfService: http://swagger.io/terms/
  title: Calendar API
  version: 2.1.0
servers:
  - url: https://api.benzinga.com
    description: PROD
security: []
paths:
  /api/v1/consensus-ratings:
    get:
      tags:
        - consensus_ratings
      summary: Returns analyst ratings consensus data
      description: >-
        Returns aggregated consensus analyst ratings data for a given ticker
        symbol. This endpoint provides consensus price targets, aggregate
        ratings distribution, and analyst counts based on recent analyst
        ratings.
      operationId: get-consensus-ratings-v1
      parameters:
        - description: >-
            Specifies return format. Query parameters work the same for both
            formats
          in: header
          name: accept
          required: true
          schema:
            type: string
            enum:
              - application/json
            default: application/json
        - description: Number of results returned. Limit 1000
          in: query
          name: pagesize
          schema:
            type: integer
        - description: Date to query from point in time
          in: query
          name: parameters[date_from]
          schema:
            type: string
            format: YYYY-MM-DD
        - description: Date to query to point in time
          in: query
          name: parameters[date_to]
          schema:
            type: string
            format: YYYY-MM-DD
        - description: One ticker symbol to query the aggregate for. Maximum 1 ticker
          in: query
          name: parameters[tickers]
          schema:
            type: string
        - description: >-
            To simplify the aggregate ratings to only BUY, SELL, HOLD, default
            will return all ratings (STRONG_BUY, BUY, HOLD, SELL, STRONG_SELL)
          in: query
          name: simplify
          schema:
            type: boolean
            default: false
        - description: To aggregate the ratings by either number or percentage
          in: query
          name: aggregate_type
          schema:
            type: string
            enum:
              - number
              - percentage
            default: number
      responses:
        '200':
          description: success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/calendarapi.ConsensusRating'
        '204':
          description: No Content
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '500':
          description: Internal Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    calendarapi.ConsensusRating:
      properties:
        aggregate_ratings:
          $ref: '#/components/schemas/calendarapi.AggregateRating'
        aggregate_type:
          example: 90D
          type: string
        consensus_price_target:
          example: 195.5
          type: number
        consensus_rating:
          example: Buy
          type: string
        consensus_rating_val:
          example: 4.2
          type: number
        high_price_target:
          example: 225
          type: number
        low_price_target:
          example: 150
          type: number
        total_analyst_count:
          example: 19
          type: integer
        unique_analyst_count:
          example: 15
          type: integer
        updated_at:
          example: '2024-01-09T16:00:00Z'
          type: string
      type: object
    api.ErrorResponse:
      properties:
        text:
          type: string
      type: object
    calendarapi.AggregateRating:
      properties:
        buy:
          example: 10
          type: integer
        hold:
          example: 3
          type: integer
        sell:
          example: 1
          type: integer
        strong_buy:
          example: 5
          type: integer
        strong_sell:
          example: 0
          type: integer
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: query
      name: token
      type: apiKey

````